Subject: parallel dev. with email

From: [email-masked]
Date: Tue, 03 Mar 2009 16:31:41 +0100

Hi,

I am new to git and I am wondering what git commands to use for this szenario: two developers without the possibility of sharing a server communicate their changes via email.

This is how far I have come reading the online docu:
* Each developer can create the diff-info of his commits with
  git format-patch
* and the other developer can incorporate these changes with
  git am

After creating the patches with format-patch one could set a tag:
  git tag -f patchesDone
so next time one wants to create patches, this tag can be used as the starting point:
  git format-patch patchesDone..

But what if in the meantime one has incorporated the other developer's changes with git am? Then these changes will also be among the patches created with format-patch. What will happen, if these patches are sent to the other developer, who does not need his own changes again. Will his own changes be silently ignored by git am? Or how else to effectively coordinate the work of two developers with git via email?

thank you,

Wolfgang
-- 
Computer Bild Tarifsieger! GMX FreeDSL - Telefonanschluss + DSL
für nur 17,95 ¿/mtl.!* http://dsl.gmx.de/?ac=OM.AD.PD003K11308T4569a